Subject: bug#9807: custom libtool installation and automake testsuite failures

From: Stefano Lattarini <[email-masked]>
Date: Sun, 6 Nov 2011 17:42:59 +0100

On Sunday 06 November 2011, Jim Meyering wrote:
> I install my own versions of m4, autoconf, automake, libtool, etc.,
> using --prefix=/p, and I put /p/bin earlier in PATH than /usr/bin, etc.
> 
> Because of that, I've always had to initialize
> /p/share/aclocal/dirlist to contain /usr/share/aclocal.
> Until today, I did it like this, so that uses of macros not
> installed in my private hierarchy would still be found:
> 
>     mkdir --verbose -p $(aclocal --print-ac-dir)
>     echo /usr/share/aclocal >> $(aclocal --print-ac-dir)/dirlist
> 
> Now I see that I must explicitly list /p/share/aclocal, too,
> presumably before any other directory name,
>
That's weird; if I'm not mistaken, m4 files from ${acdir} should take
precedence over those from directories listed in ${acdir}/dirlist ...

> so I've done this:
> 
>     mkdir --verbose -p $(aclocal --print-ac-dir)
>     printf '%s/share/aclocal\n' /p /usr >> $(aclocal --print-ac-dir)/dirlist
> 
I don't understand why this should be needed ...

> With that, all of the tests on automake.master pass once again.
>
... and I'm baffled by the fact it indeed works.

Could you please try running a libtool-requiring test passing `--verbose'
to the aclocal invocation there, to see what happens?

Thanks,
  Stefano